Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex IoT Core
  • Service closure
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • GetByName
        • List
        • Create
        • Update
        • Delete
        • ListCertificates
        • AddCertificate
        • DeleteCertificate
        • ListPasswords
        • AddPassword
        • DeletePassword
        • ListDeviceTopicAliases
        • ListOperations
        • Disable
        • Enable
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • DeviceAlias
  1. Devices API reference
  2. REST
  3. Registry
  4. ListDeviceTopicAliases

IoT Core Service, REST: Registry.ListDeviceTopicAliases

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • DeviceAlias

Retrieves the list of device topic aliases for the specified registry.

HTTP requestHTTP request

GET https://iot-devices.api.cloud.yandex.net/iot-devices/v1/registries/{registryId}:listDeviceTopicAliases

Path parametersPath parameters

Field

Description

registryId

string

Required field. ID of the registry to list aliases for device topic.
To get a registry ID make a RegistryService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page that should be returned. If the number of available
results is larger than page_size, the service returns a ListDeviceTopicAliasesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListDeviceTopicAliasesResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "aliases": [
    {
      "deviceId": "string",
      "topicPrefix": "string",
      "alias": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

aliases[]

DeviceAlias

List of device aliases for the specified registry.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListDeviceTopicAliasesRequest.pageSize, use next_page_token as the value
for the ListDeviceTopicAliasesRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

DeviceAliasDeviceAlias

A device topic alias.
Alias is an alternate name of a device topic assigned by the user. Map alias to canonical topic name prefix, e.g. my/custom/alias match to $device/abcdef/events. For more information, see Using topic aliases.

Field

Description

deviceId

string

ID of the device that the alias belongs to.

topicPrefix

string

Prefix of a canonical topic name to be aliased, e.g. $devices/abcdef.

alias

string

Alias of a device topic.

Was the article helpful?

Previous
DeletePassword
Next
ListOperations
© 2026 Direct Cursus Technology L.L.C.